Package org.opensaml.saml.saml1.core

# Interface AuthorizationDecisionStatement

All Superinterfaces:
  `SAMLObject`, `Statement`, `SubjectStatement`, `XMLObject`

All Known Implementing Classes:
  `AuthorizationDecisionStatementImpl`

public interface AuthorizationDecisionStatement extends SAMLObject, SubjectStatement
This interface defines how the object representing a SAML1 `AuthorizationDecisionStatement` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DECISION_ATTRIB_NAME`
Name for Decision attribute.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`RESOURCE_ATTRIB_NAME`
Name for Resource attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Get the actions.
`DecisionTypeEnumeration`
`getDecision()`
Get the decision.
`Evidence`
`getEvidence()`
Get the evidence.
`String`
`getResource()`
Get the resource.
`void`
`setDecision(DecisionTypeEnumeration decision)`
Set the decision.
`void`
`setEvidence(Evidence evidence)`
Set the evidence.
`void`
`setResource(String resource)`
Set the resource.

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RESOURCE_ATTRIB_NAME

@Nonnull @NotEmpty static final String RESOURCE_ATTRIB_NAME
Name for Resource attribute.

See Also:
  - Constant Field Values

### DECISION_ATTRIB_NAME

@Nonnull @NotEmpty static final String DECISION_ATTRIB_NAME
Name for Decision attribute.

See Also:
  - Constant Field Values

## Method Details

### getResource

@Nullable String getResource()
Get the resource.

Returns:
  the resource

### setResource

void setResource(@Nullable String resource)
Set the resource.

Parameters:
  `resource` - the resource

### getDecision

@Nullable DecisionTypeEnumeration getDecision()
Get the decision.

Returns:
  the decision.

### setDecision

void setDecision(@Nullable DecisionTypeEnumeration decision)
Set the decision.

Parameters:
  `decision` - the decision.

### getActions

@Nonnull @Live List<Action> getActions()
Get the actions.

Returns:
  the actions.

### getEvidence

@Nullable Evidence getEvidence()
Get the evidence.

Returns:
  the evidence

### setEvidence

void setEvidence(@Nullable Evidence evidence) throws IllegalArgumentException
Set the evidence.

Parameters:
  `evidence` - the evidence
Throws:
  `IllegalArgumentException` - if an error occurs